Subject: bug#74410: 31.0.50; completion-at-point doesn't work in custom buffers

From: Stefan Monnier <[email-masked]>
Date: Wed, 20 Nov 2024 18:31:07 -0500

> Currently this works only when typing 'M-x completion-at-point RET',
> not by 'M-C-i' that is bound to 'widget-complete'.  Maybe
> 'M-C-i' should be rebound to 'completion-at-point' in widgets?

Maybe it would make even more sense to just remove the `widget-complete`
binding since M-TAB should already be bound appropriately, but the
problem is that we don't know that the code which inserts the widget
into a buffer has properly setup the `completion-at-point-functions`
hook for `completion-at-point` to work.

Maybe we should try and detect when that is not the case and emit
a warning if so (with the hope to be able to obsolete `widget-complete`
in some future version).

        Stefan